/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cm;

/**
 * This enum represents Code Meaning for Left Ventricle Linear
 */
public enum EnumCM_LeftVentricleLinear {

	//CID 12201 Left Ventricle Linear
	LEFT_VENTRICLE_INTERNAL_END_DIASTOLIC_DIMENSION("Left Ventricle Internal End Diastolic Dimension"),
	LEFT_VENTRICLE_INTERNAL_SYSTOLIC_DIMENSION("Left Ventricle Internal Systolic Dimension"),
	LEFT_VENTRICULAR_FRACTIONAL_SHORTENING("Left Ventricular Fractional Shortening"),
	INTERVENTRICULAR_SEPTUM_DIASTOLIC_THICKNESS("Interventricular Septum Diastolic Thickness"),
	INTERVENTRICULAR_SEPTUM_TO_POSTERIOR_WALL_THICKNESS_RATIO("Interventricular Septum to Posterior Wall Thickness Ratio"),
	INTERVENTRICULAR_SEPTUM_PERCENT_THICKENING("Interventricular Septum % Thickening"),
	INTERVENTRICULAR_SEPTUM_SYSTOLIC_THICKNESS("Interventricular Septum Systolic Thickness"),
	LEFT_VENTRICLE_POSTERIOR_WALL_PERCENT_THICKENING("Left Ventricle Posterior Wall % Thickening"),
	LEFT_VENTRICLE_DIASTOLIC_MAJOR_AXIS("Left Ventricle diastolic major axis"),
	LEFT_VENTRICLE_SYSTOLIC_MAJOR_AXIS("Left Ventricle systolic major axis"),
	LEFT_VENTRICLE_POSTERIOR_WALL_SYSTOLIC_THICKNESS("Left Ventricle Posterior Wall Systolic Thickness"),
	LEFT_VENTRICLE_POSTERIOR_WALL_DIASTOLIC_THICKNESS("Left Ventricle Posterior Wall Diastolic Thickness"),
	LEFT_VENTRICLE_SEMI_MAJOR_AXIS_DIASTOLIC_DIMENSION("Left Ventricle Semi-major Axis Diastolic Dimension"),
	LEFT_VENTRICLE_TRUNCATED_SEMI_MAJOR_AXIS_DIASTOLIC_DIMENSION("Left Ventricle Truncated Semi-major Axis Diastolic Dimension");
	
	private String value;
	
	EnumCM_LeftVentricleLinear(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
